# Interface HtsInterval

All Known Implementing Classes:
  `HtsQueryInterval`

public interface HtsInterval
A common interface for 1-based, closed genomic intervals. This is an evolution of `Locatable` that can be used to support long genomic coordinates.

## Method Summary

Modifier and Type
Method
Description
`long`
`getEnd()`
Get the inclusive end coordinate for this interval.
`String`
`getQueryName()`
Get the name part of this interval query.
`long`
`getStart()`
Get the 1-based inclusive start coordinate for this interval.

## Method Details

### getQueryName

String getQueryName()
Get the name part of this interval query.

Returns:
  the name part of this interval query

### getStart

long getStart()
Get the 1-based inclusive start coordinate for this interval.

Returns:
  the 1-based inclusive start coordinate for this interval

### getEnd

long getEnd()
Get the inclusive end coordinate for this interval.

Returns:
  the inclusive end coordinate for this interval